#pragma once

#include <Wt/WIconPair>
#include <Wt/WText>
#include <Wt/WTree>
#include <Wt/WTreeNode>

namespace eedb::db {
class PgConnection;
}


namespace eedb {
class MenuTree{
public:
    MenuTree(db::PgConnection & con):
        _db(con)
    {}

private:
    void createTree();
    eedb::db::PgConnection & _db;
};
}
